Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001176Documentation, Examples, and Web SiteExamplespublic2014-01-06 18:552014-05-07 07:38
ReporterDraconis 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001176: The light-filled test in "Unblinking" does not remove the light-meter from play if light is found.
DescriptionThe light-filled test function only removes the light-meter from play if it returns false.
Minimal Source Text To Reproduce
The light-meter is a privately-named scenery thing. 


Definition: a room (called the target room) is light-filled: 
    if the target room is lighted: 
        yes; 
    move the light-meter to the target room; 
    if the light-meter can see a lit thing: 
        yes; 
    remove the light-meter from play; 
    no.

The test room is a dark room. The light room is a room. The player is in the light room. The player carries 
a lit thing called a candle.

When play begins: if the test room is not light-filled, say "Darkness as expected."
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002255)
Draconis (reporter)
2014-01-06 18:56

Sorry, there's a typo in the source text. It should be "The player is in the light room", not "the lit room".
(0002256)
zarf (developer)
2014-01-06 23:39

Confirmed.

The example tries to defuse this by making the light-meter invisible and unreferrable-to (scenery and privately-named). However, this is imperfect, as you can demonstrate:

>up
Upward Path

>get
(the sarcophagus)
Taken.

>get
(the light-meter)
That's hardly portable.
(0002316)
graham (administrator)
2014-01-18 16:59

Fixed.

- Issue History
Date Modified Username Field Change
2014-01-06 18:55 Draconis New Issue
2014-01-06 18:56 Draconis Note Added: 0002255
2014-01-06 23:39 zarf Note Added: 0002256
2014-01-06 23:39 zarf Status new => confirmed
2014-01-09 16:01 EmacsUser Steps to Reproduce Updated View Revisions
2014-01-18 16:59 graham Note Added: 0002316
2014-01-18 16:59 graham Status confirmed => resolved
2014-01-18 16:59 graham Resolution open => fixed
2014-01-18 16:59 graham Assigned To => graham
2014-05-07 07:37 jmcgrew Fixed in Version => 6L02
2014-05-07 07:38 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker